/*
 * Copyright (C) 2014-2019 EXOLIGENT (www.exoligent.com)
 * Author: Maxime Coroyer <maxime.coroyer@exoligent.com>
 */

#ifndef __FA_FIP_H__
#define __FA_FIP_H__

#define FULLFIP_WAIT    10      // (in us)
#define TIME_OUT_DELAY  5000000 // (in us) => 5s

/********************** FCA - FipCode Access Function Prototype ************************/
// --- System Management
u8 fca_start(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_tst_wfifo(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_tst_rfifo(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_tst_irq(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_tst_reg(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_tst_timer(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_valid(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_get_medium(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_valid_medium(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_noise_management(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
// --- Memory Access
u8 fca_w_phy(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_phy(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_w_word(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_word(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_w_desc(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
// --- Variable Access
u8 fca_w_var(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_var(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_var_svf(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_var_time(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_lpresent(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_send_aper(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_purge_aper(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
// --- Event Access
u8 fca_r_evt(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_acq_eoc(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
// --- Message Access
u8 fca_w_msg(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_r_msg(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_purge_msg(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
// --- Ba Access
u8 fca_start_ba(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_stop_ba(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_continue_ba(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_change_mac(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 fca_sync_ba(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
u8 fca_change_param(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
/*********** EDA_FIELDUAL - Exo Device Acess (FielDual in "Compatible mode") ***********/
u8 eda_fieldual_valid_medium(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // I + O
u8 eda_fieldual_get_medium(struct pci_priv_device* dev, u32 ibuf_sz, u32 obuf_sz, u8* ibuf_ptr, u8* obuf_ptr, u32* io_status); // O
#endif
