/*
 * Copyright (C) 2014-2019 EXOLIGENT (www.exoligent.com)
 * Author: Maxime Coroyer <maxime.coroyer@exoligent.com>
 */

#ifndef __FA_PCI_H__
#define __FA_PCI_H__

#include <linux/kernel.h>
#include "fa-drv.h"

u8 read_register_u8(void* base_address, u16 offset);
u32 read_register_u32(void* base_address, u16 offset);
void write_register_u8(void* base_address, u16 offset, u8 val);
void write_register_u32(void* base_address, u16 offset, u32 val);

void init_fip_infos(struct pci_priv_device *dev);
void init_card_conf(struct pci_priv_device *dev);
void init_interrupt(struct pci_priv_device *dev);

void reset_eoc_interrupt(struct pci_priv_device *dev);

void plx_eeprom_enable(struct pci_priv_device *dev);
void plx_eeprom_disable(struct pci_priv_device *dev);
void plx_eeprom_do_clock_cycle(struct pci_priv_device *dev);
u8 plx_eeprom_read(struct pci_priv_device *dev, u8* pBuffer, u8 start_address, u8 length);
void plx_eeprom_write_data_bit_high(struct pci_priv_device *dev);
void plx_eeprom_write_data_bit_low(struct pci_priv_device *dev);
u8 plx_eeprom_read_data_bit(struct pci_priv_device *dev);
u8 plx_eeprom_read_data_bit_no_clock(struct pci_priv_device *dev);
void plx_eeprom_reload(struct pci_priv_device *dev);

void wait_ns(unsigned long delay);
void wait_us(unsigned long delay);
u8 wait_for(void* addr, u8 reg, u8 status, u32 timeout_us, u8 trigger_edge);

#endif 
